<?xml version="1.0" encoding="utf-8"?>
<!--Generated by DataTracks Rainbow version 3.5 on 19-March-2023 [02:49:54] {AM}-->
<linkbase xmlns="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <roleRef xlink:type="simple" xlink:href="213800LS272L4FIDOH92-2022-12-31.xsd#ConsolidatedIncomeStatement" roleURI="http://www.convatecgroup.com/role/ConsolidatedIncomeStatement" />
  <roleRef xlink:type="simple" xlink:href="213800LS272L4FIDOH92-2022-12-31.xsd#ConsolidatedStatementOfComprehensiveIncome" roleURI="http://www.convatecgroup.com/role/ConsolidatedStatementOfComprehensiveIncome" />
  <roleRef xlink:type="simple" xlink:href="213800LS272L4FIDOH92-2022-12-31.xsd#ConsolidatedStatementOfFinancialPosition" roleURI="http://www.convatecgroup.com/role/ConsolidatedStatementOfFinancialPosition" />
  <roleRef xlink:type="simple" xlink:href="213800LS272L4FIDOH92-2022-12-31.xsd#ConsolidatedStatementOfChangesInEquity" roleURI="http://www.convatecgroup.com/role/ConsolidatedStatementOfChangesInEquity" />
  <roleRef xlink:type="simple" xlink:href="213800LS272L4FIDOH92-2022-12-31.xsd#ConsolidatedStatementOfCashFlows" roleURI="http://www.convatecgroup.com/role/ConsolidatedStatementOfCashFlows" />
  <calculationLink xlink:type="extended" xlink:role="http://www.convatecgroup.com/role/ConsolidatedIncomeStatement">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="loc_ifrs-full_ProfitLoss" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="loc_ifrs-full_ProfitLossBeforeTax" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss" xlink:to="loc_ifrs-full_ProfitLossBeforeTax" use="optional" order="1" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FinanceIncome" xlink:label="loc_ifrs-full_FinanceIncome" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax" xlink:to="loc_ifrs-full_FinanceIncome" use="optional" order="2" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FinanceCosts" xlink:label="loc_ifrs-full_FinanceCosts" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax" xlink:to="loc_ifrs-full_FinanceCosts" use="optional" order="3" weight="-1" />
    <loc xlink:type="locator" xlink:href="213800LS272L4FIDOH92-2022-12-31.xsd#ctec_NonOperatingExpenseIncomeNet" xlink:label="loc_CTEC_NonOperatingExpenseIncomeNet" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax" xlink:to="loc_CTEC_NonOperatingExpenseIncomeNet" use="optional" order="4" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax" xlink:to="loc_ifrs-full_ProfitLossFromOperatingActivities" use="optional" order="5" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_GrossProfit" xlink:label="loc_ifrs-full_GrossProfit" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities" xlink:to="loc_ifrs-full_GrossProfit" use="optional" order="6" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Revenue" xlink:label="loc_ifrs-full_Revenue" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_GrossProfit" xlink:to="loc_ifrs-full_Revenue" use="optional" order="7" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CostOfSales" xlink:label="loc_ifrs-full_CostOfSales" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_GrossProfit" xlink:to="loc_ifrs-full_CostOfSales" use="optional" order="8" weight="-1" />
    <loc xlink:type="locator" xlink:href="213800LS272L4FIDOH92-2022-12-31.xsd#ctec_OperatingExpensesExcludingCostOfSales" xlink:label="loc_CTEC_OperatingExpensesExcludingCostOfSales" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities" xlink:to="loc_CTEC_OperatingExpensesExcludingCostOfSales" use="optional" order="9" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_GeneralAndAdministrativeExpense" xlink:label="loc_ifrs-full_GeneralAndAdministrativeExpense" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities" xlink:to="loc_ifrs-full_GeneralAndAdministrativeExpense" use="optional" order="10" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ResearchAndDevelopmentExpense" xlink:label="loc_ifrs-full_ResearchAndDevelopmentExpense" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities" xlink:to="loc_ifrs-full_ResearchAndDevelopmentExpense" use="optional" order="11" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_MiscellaneousOtherOperatingExpense" xlink:label="loc_ifrs-full_MiscellaneousOtherOperatingExpense" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities" xlink:to="loc_ifrs-full_MiscellaneousOtherOperatingExpense" use="optional" order="12" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss" xlink:to="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" use="optional" order="13" weight="-1" />
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.convatecgroup.com/role/ConsolidatedStatementOfComprehensiveIncome">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="loc_ifrs-full_ComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="loc_ifrs-full_OtherComprehensiveIncome" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome" xlink:to="loc_ifrs-full_OtherComprehensiveIncome" use="optional" order="1" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" use="optional" order="2" weight="1" />
    <loc xlink:type="locator" xlink:href="213800LS272L4FIDOH92-2022-12-31.xsd#ctec_RealisationOfCumulativeTranslationAdjustments" xlink:label="loc_CTEC_RealisationOfCumulativeTranslationAdjustments" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_CTEC_RealisationOfCumulativeTranslationAdjustments" use="optional" order="3" weight="1" />
    <loc xlink:type="locator" xlink:href="213800LS272L4FIDOH92-2022-12-31.xsd#ctec_EffectivePortionOfChangesInFairValueOfCashFlowHedges" xlink:label="loc_CTEC_EffectivePortionOfChangesInFairValueOfCashFlowHedges" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_CTEC_EffectivePortionOfChangesInFairValueOfCashFlowHedges" use="optional" order="4" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ReclassificationAdjustmentsOnCashFlowHedgesBeforeTax" xlink:label="loc_ifrs-full_ReclassificationAdjustmentsOnCashFlowHedgesBeforeTax" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_ReclassificationAdjustmentsOnCashFlowHedgesBeforeTax" use="optional" order="5" weight="-1" />
    <loc xlink:type="locator" xlink:href="213800LS272L4FIDOH92-2022-12-31.xsd#ctec_CostsOfHedging" xlink:label="loc_CTEC_CostsOfHedging" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_CTEC_CostsOfHedging" use="optional" order="6" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" xlink:label="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" use="optional" order="7" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" use="optional" order="8" weight="1" />
    <loc xlink:type="locator" xlink:href="213800LS272L4FIDOH92-2022-12-31.xsd#ctec_OtherComprehensiveIncomeBeforeTaxChangeInPensionAssetRestriction" xlink:label="loc_CTEC_OtherComprehensiveIncomeBeforeTaxChangeInPensionAssetRestriction" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_CTEC_OtherComprehensiveIncomeBeforeTaxChangeInPensionAssetRestriction" use="optional" order="9" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="loc_ifrs-full_ProfitLoss" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome" xlink:to="loc_ifrs-full_ProfitLoss" use="optional" order="10" weight="1" />
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.convatecgroup.com/role/ConsolidatedStatementOfFinancialPosition">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EquityAndLiabilities" xlink:label="loc_ifrs-full_EquityAndLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Equity" xlink:label="loc_ifrs-full_Equity" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities" xlink:to="loc_ifrs-full_Equity" use="optional" order="1" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IssuedCapital" xlink:label="loc_ifrs-full_IssuedCapital" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity" xlink:to="loc_ifrs-full_IssuedCapital" use="optional" order="2" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_SharePremium" xlink:label="loc_ifrs-full_SharePremium" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity" xlink:to="loc_ifrs-full_SharePremium" use="optional" order="3" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_TreasuryShares" xlink:label="loc_ifrs-full_TreasuryShares" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity" xlink:to="loc_ifrs-full_TreasuryShares" use="optional" order="4" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RetainedEarnings" xlink:label="loc_ifrs-full_RetainedEarnings" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity" xlink:to="loc_ifrs-full_RetainedEarnings" use="optional" order="5" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_MergerReserve" xlink:label="loc_ifrs-full_MergerReserve" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity" xlink:to="loc_ifrs-full_MergerReserve" use="optional" order="6" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ReserveOfExchangeDifferencesOnTranslation" xlink:label="loc_ifrs-full_ReserveOfExchangeDifferencesOnTranslation" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity" xlink:to="loc_ifrs-full_ReserveOfExchangeDifferencesOnTranslation" use="optional" order="7" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherReserves" xlink:label="loc_ifrs-full_OtherReserves" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity" xlink:to="loc_ifrs-full_OtherReserves" use="optional" order="8" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Liabilities" xlink:label="loc_ifrs-full_Liabilities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities" xlink:to="loc_ifrs-full_Liabilities" use="optional" order="9" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentLiabilities" xlink:label="loc_ifrs-full_CurrentLiabilities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Liabilities" xlink:to="loc_ifrs-full_CurrentLiabilities" use="optional" order="10" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayables" xlink:label="loc_ifrs-full_TradeAndOtherCurrentPayables" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities" xlink:to="loc_ifrs-full_TradeAndOtherCurrentPayables" use="optional" order="11" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentPortionOfLongtermBorrowings" xlink:label="loc_ifrs-full_CurrentPortionOfLongtermBorrowings" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities" xlink:to="loc_ifrs-full_CurrentPortionOfLongtermBorrowings" use="optional" order="12" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentLeaseLiabilities" xlink:label="loc_ifrs-full_CurrentLeaseLiabilities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities" xlink:to="loc_ifrs-full_CurrentLeaseLiabilities" use="optional" order="13" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:label="loc_ifrs-full_CurrentTaxLiabilitiesCurrent" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities" xlink:to="loc_ifrs-full_CurrentTaxLiabilitiesCurrent" use="optional" order="14" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentDerivativeFinancialLiabilities" xlink:label="loc_ifrs-full_CurrentDerivativeFinancialLiabilities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities" xlink:to="loc_ifrs-full_CurrentDerivativeFinancialLiabilities" use="optional" order="15" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentProvisions" xlink:label="loc_ifrs-full_CurrentProvisions" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities" xlink:to="loc_ifrs-full_CurrentProvisions" use="optional" order="16" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="loc_ifrs-full_NoncurrentLiabilities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Liabilities" xlink:to="loc_ifrs-full_NoncurrentLiabilities" use="optional" order="17" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_LongtermBorrowings" xlink:label="loc_ifrs-full_LongtermBorrowings" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities" xlink:to="loc_ifrs-full_LongtermBorrowings" use="optional" order="18" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentLeaseLiabilities" xlink:label="loc_ifrs-full_NoncurrentLeaseLiabilities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities" xlink:to="loc_ifrs-full_NoncurrentLeaseLiabilities" use="optional" order="19" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DeferredTaxLiabilities" xlink:label="loc_ifrs-full_DeferredTaxLiabilities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities" xlink:to="loc_ifrs-full_DeferredTaxLiabilities" use="optional" order="20" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentProvisions" xlink:label="loc_ifrs-full_NoncurrentProvisions" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities" xlink:to="loc_ifrs-full_NoncurrentProvisions" use="optional" order="21" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentDerivativeFinancialLiabilities" xlink:label="loc_ifrs-full_NoncurrentDerivativeFinancialLiabilities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities" xlink:to="loc_ifrs-full_NoncurrentDerivativeFinancialLiabilities" use="optional" order="22" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherNoncurrentPayables" xlink:label="loc_ifrs-full_OtherNoncurrentPayables" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities" xlink:to="loc_ifrs-full_OtherNoncurrentPayables" use="optional" order="23" weight="1" />
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.convatecgroup.com/role/ConsolidatedStatementOfFinancialPosition">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NetAssetsLiabilities" xlink:label="loc_ifrs-full_NetAssetsLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Assets" xlink:label="loc_ifrs-full_Assets" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NetAssetsLiabilities" xlink:to="loc_ifrs-full_Assets" use="optional" order="24" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentAssets" xlink:label="loc_ifrs-full_NoncurrentAssets" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets" xlink:to="loc_ifrs-full_NoncurrentAssets" use="optional" order="25" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:label="loc_ifrs-full_PropertyPlantAndEquipment" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_PropertyPlantAndEquipment" use="optional" order="26" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RightofuseAssets" xlink:label="loc_ifrs-full_RightofuseAssets" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_RightofuseAssets" use="optional" order="27" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IntangibleAssetsAndGoodwill" xlink:label="loc_ifrs-full_IntangibleAssetsAndGoodwill" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_IntangibleAssetsAndGoodwill" use="optional" order="28" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DeferredTaxAssets" xlink:label="loc_ifrs-full_DeferredTaxAssets" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_DeferredTaxAssets" use="optional" order="29" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentRestrictedCashAndCashEquivalents" xlink:label="loc_ifrs-full_NoncurrentRestrictedCashAndCashEquivalents" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_NoncurrentRestrictedCashAndCashEquivalents" use="optional" order="30" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherNoncurrentReceivables" xlink:label="loc_ifrs-full_OtherNoncurrentReceivables" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_OtherNoncurrentReceivables" use="optional" order="31" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentDerivativeFinancialAssets" xlink:label="loc_ifrs-full_NoncurrentDerivativeFinancialAssets" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_NoncurrentDerivativeFinancialAssets" use="optional" order="32" weight="1" />
    <loc xlink:type="locator" xlink:href="213800LS272L4FIDOH92-2022-12-31.xsd#ctec_InvestmentInFinancialAssets" xlink:label="loc_CTEC_InvestmentInFinancialAssets" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_CTEC_InvestmentInFinancialAssets" use="optional" order="33" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentAssets" xlink:label="loc_ifrs-full_CurrentAssets" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets" xlink:to="loc_ifrs-full_CurrentAssets" use="optional" order="34" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Inventories" xlink:label="loc_ifrs-full_Inventories" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets" xlink:to="loc_ifrs-full_Inventories" use="optional" order="35" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_TradeAndOtherReceivables" xlink:label="loc_ifrs-full_TradeAndOtherReceivables" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets" xlink:to="loc_ifrs-full_TradeAndOtherReceivables" use="optional" order="36" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="loc_ifrs-full_CashAndCashEquivalents" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets" xlink:to="loc_ifrs-full_CashAndCashEquivalents" use="optional" order="37" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentDerivativeFinancialAssets" xlink:label="loc_ifrs-full_CurrentDerivativeFinancialAssets" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets" xlink:to="loc_ifrs-full_CurrentDerivativeFinancialAssets" use="optional" order="38" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentRestrictedCashAndCashEquivalents" xlink:label="loc_ifrs-full_CurrentRestrictedCashAndCashEquivalents" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets" xlink:to="loc_ifrs-full_CurrentRestrictedCashAndCashEquivalents" use="optional" order="39" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Liabilities" xlink:label="loc_ifrs-full_Liabilities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NetAssetsLiabilities" xlink:to="loc_ifrs-full_Liabilities" use="optional" order="40" weight="-1" />
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.convatecgroup.com/role/ConsolidatedStatementOfChangesInEquity">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="loc_ifrs-full_ComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="loc_ifrs-full_OtherComprehensiveIncome" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome" xlink:to="loc_ifrs-full_OtherComprehensiveIncome" use="optional" order="1" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" use="optional" order="2" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" use="optional" order="3" weight="1" />
    <loc xlink:type="locator" xlink:href="213800LS272L4FIDOH92-2022-12-31.xsd#ctec_ChangeInPensionAssetRestriction" xlink:label="loc_CTEC_ChangeInPensionAssetRestriction" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_CTEC_ChangeInPensionAssetRestriction" use="optional" order="4" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ReclassificationAdjustmentsOnCashFlowHedgesNetOfTax" xlink:label="loc_ifrs-full_ReclassificationAdjustmentsOnCashFlowHedgesNetOfTax" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_ReclassificationAdjustmentsOnCashFlowHedgesNetOfTax" use="optional" order="5" weight="-1" />
    <loc xlink:type="locator" xlink:href="213800LS272L4FIDOH92-2022-12-31.xsd#ctec_RealisationOfCumulativeTranslationAdjustment" xlink:label="loc_CTEC_RealisationOfCumulativeTranslationAdjustment" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_CTEC_RealisationOfCumulativeTranslationAdjustment" use="optional" order="6" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="loc_ifrs-full_ProfitLoss" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome" xlink:to="loc_ifrs-full_ProfitLoss" use="optional" order="7" weight="1" />
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.convatecgroup.com/role/ConsolidatedStatementOfCashFlows">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" use="optional" order="1" weight="1" />
    <loc xlink:type="locator" xlink:href="213800LS272L4FIDOH92-2022-12-31.xsd#ctec_AcquisitionOfPropertyPlantAndEquipmentAndIntangibleAssets" xlink:label="loc_CTEC_AcquisitionOfPropertyPlantAndEquipmentAndIntangibleAssets" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_CTEC_AcquisitionOfPropertyPlantAndEquipmentAndIntangibleAssets" use="optional" order="2" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" use="optional" order="3" weight="-1" />
    <loc xlink:type="locator" xlink:href="213800LS272L4FIDOH92-2022-12-31.xsd#ctec_PaymentOfContingentConsiderationArisingFromAcquisitions" xlink:label="loc_CTEC_PaymentOfContingentConsiderationArisingFromAcquisitions" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_CTEC_PaymentOfContingentConsiderationArisingFromAcquisitions" use="optional" order="4" weight="1" />
    <loc xlink:type="locator" xlink:href="213800LS272L4FIDOH92-2022-12-31.xsd#ctec_ProceedsFromDivestiture" xlink:label="loc_CTEC_ProceedsFromDivestiture" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_CTEC_ProceedsFromDivestiture" use="optional" order="5" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" use="optional" order="6" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" use="optional" order="7" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" use="optional" order="8" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" use="optional" order="9" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" use="optional" order="10" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_DividendsPaidClassifiedAsFinancingActivities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_ifrs-full_DividendsPaidClassifiedAsFinancingActivities" use="optional" order="11" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" use="optional" order="12" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InterestReceivedClassifiedAsOperatingActivities" xlink:label="loc_ifrs-full_InterestReceivedClassifiedAsOperatingActivities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="loc_ifrs-full_InterestReceivedClassifiedAsOperatingActivities" use="optional" order="13" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:label="loc_ifrs-full_InterestPaidClassifiedAsOperatingActivities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="loc_ifrs-full_InterestPaidClassifiedAsOperatingActivities" use="optional" order="14" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" xlink:label="loc_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="loc_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" use="optional" order="15" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperations" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperations" use="optional" order="16" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="loc_ifrs-full_ProfitLoss" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="loc_ifrs-full_ProfitLoss" use="optional" order="17" weight="1" />
    <loc xlink:type="locator" xlink:href="213800LS272L4FIDOH92-2022-12-31.xsd#ctec_AdjustmentsForDepreciationOfPropertyPlantAndEquipment" xlink:label="loc_CTEC_AdjustmentsForDepreciationOfPropertyPlantAndEquipment" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="loc_CTEC_AdjustmentsForDepreciationOfPropertyPlantAndEquipment" use="optional" order="18" weight="1" />
    <loc xlink:type="locator" xlink:href="213800LS272L4FIDOH92-2022-12-31.xsd#ctec_AdjustmentsForDepreciationOfRightOfUseAssets" xlink:label="loc_CTEC_AdjustmentsForDepreciationOfRightOfUseAssets" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="loc_CTEC_AdjustmentsForDepreciationOfRightOfUseAssets" use="optional" order="19" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForAmortisationExpense" xlink:label="loc_ifrs-full_AdjustmentsForAmortisationExpense" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="loc_ifrs-full_AdjustmentsForAmortisationExpense" use="optional" order="20" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForIncomeTaxExpense" xlink:label="loc_ifrs-full_AdjustmentsForIncomeTaxExpense" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="loc_ifrs-full_AdjustmentsForIncomeTaxExpense" use="optional" order="21" weight="1" />
    <loc xlink:type="locator" xlink:href="213800LS272L4FIDOH92-2022-12-31.xsd#ctec_AdjustmentsForNonOperatingExpenseNet" xlink:label="loc_CTEC_AdjustmentsForNonOperatingExpenseNet" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="loc_CTEC_AdjustmentsForNonOperatingExpenseNet" use="optional" order="22" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForFinanceIncomeCost" xlink:label="loc_ifrs-full_AdjustmentsForFinanceIncomeCost" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="loc_ifrs-full_AdjustmentsForFinanceIncomeCost" use="optional" order="23" weight="-1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForSharebasedPayments" xlink:label="loc_ifrs-full_AdjustmentsForSharebasedPayments" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="loc_ifrs-full_AdjustmentsForSharebasedPayments" use="optional" order="24" weight="1" />
    <loc xlink:type="locator" xlink:href="213800LS272L4FIDOH92-2022-12-31.xsd#ctec_AdjustmentsForImpairmentAndWriteOffOfIntangiblesAssets" xlink:label="loc_CTEC_AdjustmentsForImpairmentAndWriteOffOfIntangiblesAssets" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="loc_CTEC_AdjustmentsForImpairmentAndWriteOffOfIntangiblesAssets" use="optional" order="25" weight="1" />
    <loc xlink:type="locator" xlink:href="213800LS272L4FIDOH92-2022-12-31.xsd#ctec_AdjustmentsForImpairmentAndWriteOffOfPropertyPlantAndEquipment" xlink:label="loc_CTEC_AdjustmentsForImpairmentAndWriteOffOfPropertyPlantAndEquipment" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="loc_CTEC_AdjustmentsForImpairmentAndWriteOffOfPropertyPlantAndEquipment" use="optional" order="26" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:label="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" use="optional" order="27" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:label="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" use="optional" order="28" weight="1" />
    <loc xlink:type="locator" xlink:href="213800LS272L4FIDOH92-2022-12-31.xsd#ctec_AdjustmentsForOtherNonCurrentReceivables" xlink:label="loc_CTEC_AdjustmentsForOtherNonCurrentReceivables" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="loc_CTEC_AdjustmentsForOtherNonCurrentReceivables" use="optional" order="29" weight="-1" />
    <loc xlink:type="locator" xlink:href="213800LS272L4FIDOH92-2022-12-31.xsd#ctec_AdjustmentsForRestrictedCash" xlink:label="loc_CTEC_AdjustmentsForRestrictedCash" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="loc_CTEC_AdjustmentsForRestrictedCash" use="optional" order="30" weight="1" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:label="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" use="optional" order="31" weight="1" />
    <loc xlink:type="locator" xlink:href="213800LS272L4FIDOH92-2022-12-31.xsd#ctec_AdjustmentsForIncreaseDecreaseInOtherNonCurrentPayables" xlink:label="loc_CTEC_AdjustmentsForIncreaseDecreaseInOtherNonCurrentPayables" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="loc_CTEC_AdjustmentsForIncreaseDecreaseInOtherNonCurrentPayables" use="optional" order="32" weight="1" />
  </calculationLink>
</linkbase>